GDAL

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
OGRUnionLayerGeomFieldDefn Class Reference
Inheritance diagram for OGRUnionLayerGeomFieldDefn:

## Public Member Functions
| OGRUnionLayerGeomFieldDefn (const char *pszName, OGRwkbGeometryType eType)
| OGRUnionLayerGeomFieldDefn (OGRGeomFieldDefn *poSrc)
| OGRUnionLayerGeomFieldDefn (OGRUnionLayerGeomFieldDefn *poSrc)
Public Member Functions inherited from OGRGeomFieldDefn
| OGRGeomFieldDefn (const char *pszNameIn, OGRwkbGeometryType eGeomTypeIn)
| Constructor. More...
| OGRGeomFieldDefn (OGRGeomFieldDefn *)
| Constructor. More...
void | SetName (const char *)
| Reset the name of this field. More...
const char * | GetNameRef ()
| Fetch name of this field. More...
OGRwkbGeometryType | GetType () const
| Fetch geometry type of this field. More...
void | SetType (OGRwkbGeometryType eTypeIn)
| Set the geometry type of this field. More...
virtual OGRSpatialReference * | GetSpatialRef ()
| Fetch spatial reference system of this field. More...
void | SetSpatialRef (OGRSpatialReference *poSRSIn)
| Set the spatial reference of this field. More...
int | IsIgnored () const
| Return whether this field should be omitted when fetching features. More...
void | SetIgnored (int bIgnoreIn)
| Set whether this field should be omitted when fetching features. More...
int | IsNullable () const
| Return whether this geometry field can receive null values. More...
void | SetNullable (int bNullableIn)
| Set whether this geometry field can receive null values. More...
int | IsSame (OGRGeomFieldDefn *)
| Test if the geometry field definition is identical to the other one. More...

## Public Attributes
int | bGeomTypeSet
int | bSRSSet
OGREnvelope | sStaticEnvelope

## Additional Inherited Members
Protected Member Functions inherited from OGRGeomFieldDefn
void | Initialize (const char *, OGRwkbGeometryType)
Protected Attributes inherited from OGRGeomFieldDefn
char * | pszName
OGRwkbGeometryType | eGeomType
OGRSpatialReference * | poSRS
int | bIgnore
int | bNullable

The documentation for this class was generated from the following files:

- ogrunionlayer.h
- ogrunionlayer.cpp

Generated for GDAL by 1.8.8.